Mandriva Linux Security Advisory : openldap (MDVSA-2010:026)

Medium Nessus Plugin ID 44321

Synopsis

The remote Mandriva Linux host is missing one or more security updates.

Description

A vulnerability was discovered and corrected in openldap :

libraries/libldap/tls_o.c in OpenLDAP, when OpenSSL is used, does not properly handle a '�' (NUL) character in a domain name in the subject's Common Name (CN) field of an X.509 certificate, which allows man-in-the-middle attackers to spoof arbitrary SSL servers via a crafted certificate issued by a legitimate Certification Authority, a related issue to CVE-2009-2408 (CVE-2009-3767).

Packages for 2008.0 are provided for Corporate Desktop 2008.0 customers.

The updated packages have been patched to correct this issue.

Solution

Update the affected packages.

Plugin Details

Severity: Medium

ID: 44321

File Name: mandriva_MDVSA-2010-026.nasl

Version: 1.17

Type: local

Published: 2010/01/27

Updated: 2019/08/02

Dependencies: 12634

Risk Information

Risk Factor: Medium

CVSS v2.0

Base Score: 6.8

Temporal Score: 5

Vector: CVSS2#AV:N/AC:M/Au:N/C:P/I:P/A:P

Temporal Vector: CVSS2#E:U/RL:OF/RC:C

Vulnerability Information

CPE: p-cpe:/a:mandriva:linux:lib64ldap2.3_0, p-cpe:/a:mandriva:linux:lib64ldap2.3_0-devel, p-cpe:/a:mandriva:linux:lib64ldap2.3_0-static-devel, p-cpe:/a:mandriva:linux:lib64ldap2.4_2, p-cpe:/a:mandriva:linux:lib64ldap2.4_2-devel, p-cpe:/a:mandriva:linux:lib64ldap2.4_2-static-devel, p-cpe:/a:mandriva:linux:libldap2.3_0, p-cpe:/a:mandriva:linux:libldap2.3_0-devel, p-cpe:/a:mandriva:linux:libldap2.3_0-static-devel, p-cpe:/a:mandriva:linux:libldap2.4_2, p-cpe:/a:mandriva:linux:libldap2.4_2-devel, p-cpe:/a:mandriva:linux:libldap2.4_2-static-devel, p-cpe:/a:mandriva:linux:openldap, p-cpe:/a:mandriva:linux:openldap-clients, p-cpe:/a:mandriva:linux:openldap-doc, p-cpe:/a:mandriva:linux:openldap-servers, p-cpe:/a:mandriva:linux:openldap-testprogs, p-cpe:/a:mandriva:linux:openldap-tests, cpe:/o:mandriva:linux:2008.0, cpe:/o:mandriva:linux:2009.0, cpe:/o:mandriva:linux:2009.1

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/Mandrake/release, Host/Mandrake/rpm-list

Exploit Available: false

Exploit Ease: No known exploits are available

Patch Publication Date: 2010/01/26

Reference Information

CVE: CVE-2009-3767

BID: 36844

MDVSA: 2010:026

CWE: 310